curl --request PUT \
--url https://api.qovery.com/container/{containerId}/network \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sticky_session": false
}
'import requests
url = "https://api.qovery.com/container/{containerId}/network"
payload = { "sticky_session": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sticky_session: false})
};
fetch('https://api.qovery.com/container/{containerId}/network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sticky_session": false
}Edit Container Network
Edit the Network settings of the container.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Container ID
Body
Specify if the sticky session option (also called persistant session) is activated or not for this container. If activated, user will be redirected by the load balancer to the same instance each time he access to the container.
Response
Updated container network setting
Specify if the sticky session option (also called persistant session) is activated or not for this container. If activated, user will be redirected by the load balancer to the same instance each time he access to the container.
Was this page helpful?